Generates a new API key for the specified gateway
curl --request POST \
--url https://api.example.com/api/v1/iam/api-key \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expires_at": "<string>",
"policies": [
"<string>"
],
"subject": "<string>",
"subject_type": "<string>"
}
'{
"active": true,
"created_at": "<string>",
"expires_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"policies": [
"<string>"
],
"subject": "<string>",
"subject_type": "engine"
}Documentation Index
Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorization token
Gateway ID
API Key request body
curl --request POST \
--url https://api.example.com/api/v1/iam/api-key \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expires_at": "<string>",
"policies": [
"<string>"
],
"subject": "<string>",
"subject_type": "<string>"
}
'{
"active": true,
"created_at": "<string>",
"expires_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"policies": [
"<string>"
],
"subject": "<string>",
"subject_type": "engine"
}